## ubuntu-release-upgrader 17.10.7

=== debian/changelog ===
ubuntu-release-upgrader (1:17.10.7) artful; urgency=medium

  * DistUpgrade/DistUpgradeController.py: Provide better instructions when an
    upgrade is aborted due to a lack of free space in a partition.
    (LP: #1721882)
  * update demoted.cfg, demoted.cfg.xenial, mirrors.cfg

 -- Brian Murray <brian@ubuntu.com>  Fri, 06 Oct 2017 15:16:34 -0700

ubuntu-release-upgrader (1:17.10.6) artful; urgency=medium

  * Fix new pep8 failures in artful - E722 do not use bare except.
  * Update the manpage regarding '-d' change.

 -- Brian Murray <brian@ubuntu.com>  Thu, 13 Jul 2017 15:49:23 -0700

ubuntu-release-upgrader (1:17.10.5) artful; urgency=medium

  [ Jeremy Bicha ]
  * Drop obsolete alternate dependencies:
    - gir1.2-vte-2.90
    - gir1.2-webkit-3.0
  * Drop obsolete XS-Testsuite field

  [ Brian Murray ]
  * do-release-upgrade: Clarify that the "-d" switch is only for upgrading
    from the latest supported release to the development release, not any
    release. Additionally, provide a specific error message if run with -d and
    not running the latest supported release. (LP: #1700829)
  * build-tarball.sh: Stop updating ubuntu-drivers-obsolete.pkgs since it
    isn't needed any more see Launchpad bug 1682291 for details.

 -- Brian Murray <brian@ubuntu.com>  Wed, 12 Jul 2017 14:00:20 -0700

ubuntu-release-upgrader (1:17.10.4) artful; urgency=medium

  * Create demoted.cfg.xenial and DistUpgrade.cfg.xenial so that upgrades from
    Ubuntu 16.04 to Ubuntu 17.10 are supported. (LP: #1692092)

 -- Brian Murray <brian@ubuntu.com>  Fri, 19 May 2017 14:04:13 -0700

ubuntu-release-upgrader (1:17.10.3) artful; urgency=medium

  * Remove --sandbox (aufs support) as it has been broken for some time and
    was rather unused. (LP: #1605259)

 -- Brian Murray <brian@ubuntu.com>  Thu, 18 May 2017 10:51:34 -0700

ubuntu-release-upgrader (1:17.10.2) artful; urgency=medium

  [ Balint Reczey ]
  * Turn on screen's logging in screenrc instead of via command line because
    the command line syntax is changed in screen 4.5.0 (LP: #1686117)

 -- Brian Murray <brian@ubuntu.com>  Wed, 03 May 2017 09:11:48 -0700

ubuntu-release-upgrader (1:17.10.1) artful; urgency=medium

  * DistUpgrade/{EOL,Devel}ReleaseAnnouncement,
    DistUpgrade/window_main.ui,
    data/gtkbuilder/DistUpgrade.ui,
    data/DistUpgrade.cfg,
    pre-build.sh:
    - updated for 17.04 -> 17.10

 -- Brian Murray <brian@ubuntu.com>  Mon, 24 Apr 2017 14:15:07 -0700
