## ubuntu-release-upgrader 17.10.11

=== debian/changelog ===
ubuntu-release-upgrader (1:17.10.11) artful-security; urgency=medium

  * Properly drop permissions when opening a browser. (LP: #1174007)

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 09 Apr 2018 10:01:24 -0400

ubuntu-release-upgrader (1:17.10.10) artful; urgency=medium

  * DistUpgradeController.py: Only add a new entry for previously
    unknown mirrors if the new entries distro is a valid release.
    (LP: #1744722) 

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 05 Feb 2018 10:21:00 +0100

ubuntu-release-upgrader (1:17.10.9) artful; urgency=medium

  * DistUpgrade/DistUpgradeFetcher.py,
    check-new-release-gtk,
    do-release-upgrade:
    - Raise privileges in do-release-upgrade using pkexec when GUI is used
    - Drop gksu usage
    - Use os.execv in check-new-release-gtk instead of os.execl
    - Apply the workaround "xhost +si:localuser:root" under Wayland to let
      upgrades finish (LP: #1732185)
  * Skip Python files from other packages in PEP 8 tests

 -- Balint Reczey <rbalint@ubuntu.com>  Mon, 15 Jan 2018 17:20:58 +0100

ubuntu-release-upgrader (1:17.10.8) artful; urgency=medium

  * data/removal_blacklist.cfg: unblacklist unity so that release upgrades to
    17.10 for systems without universe enabled can proceed. (LP: #1725605)

 -- Brian Murray <brian@ubuntu.com>  Mon, 23 Oct 2017 17:07:56 -0700
