## ubuntu-release-upgrader 18.04.17

=== debian/changelog ===
ubuntu-release-upgrader (1:18.04.17) bionic; urgency=medium

  * Update of translations. (LP: #1761931)
  * Update of demotions and mirrors data.

 -- Brian Murray <brian@ubuntu.com>  Tue, 17 Apr 2018 13:22:03 -0700

ubuntu-release-upgrader (1:18.04.16) bionic; urgency=medium

  * Merge Martin Wimpress's changes that update the KeyDependencies of Ubuntu
    MATE packages.
  * Update of demotions and mirrors data.

 -- Brian Murray <brian@ubuntu.com>  Thu, 12 Apr 2018 12:48:16 -0700

ubuntu-release-upgrader (1:18.04.15) bionic; urgency=medium

  * Fix long line causing pep8 failure in autopkgtest.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Sat, 07 Apr 2018 10:57:08 -0400

ubuntu-release-upgrader (1:18.04.14) bionic; urgency=medium

  * Properly drop permissions when opening a browser. (LP: #1174007)

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 05 Apr 2018 14:15:37 -0400

ubuntu-release-upgrader (1:18.04.13) bionic; urgency=medium

  * Do not consider Suggests important, so automatically installed packages
    that are not recommended or dependend on anymore are removed across a
    dist upgrade (LP: #1725861)

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 29 Mar 2018 15:30:19 +0200

ubuntu-release-upgrader (1:18.04.12) bionic; urgency=medium

  [ Simon Quigley ]
  * Port away from kdesudo.

  [ Brian Murray ]
  * Increase the size of the buffer used when calculating the free space to
    estimate for the initramfs.

 -- Brian Murray <brian@ubuntu.com>  Wed, 21 Mar 2018 16:32:15 -0700

ubuntu-release-upgrader (1:18.04.11) bionic; urgency=medium

  * Check that a sources.list entry for the from distribution exists
    before attempting to upgrade (LP: #1725359)

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 16 Mar 2018 18:56:33 +0100

ubuntu-release-upgrader (1:18.04.10) bionic; urgency=medium

  * Use HTTPS for changelogs.ubuntu.com (LP: #1744318)

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 15 Mar 2018 13:47:43 +0100

ubuntu-release-upgrader (1:18.04.9) bionic; urgency=medium

  [ Balint Reczey ]
  * Place .keep files in empty directories to keep them when converting the
    repo to git
  * Raise privileges in do-partial-upgrade early with pkexec and apply
    Wayland workaround when needed (LP: #1748509)

  [ Brian Murray ]
  * debian/control: have python3-distupgrade depend on sensible-utils.
    (LP: #1724224)
  * DistUpgrade/DistUpgradeController.py: In a couple of spots roll back
    changes made for the upgrade instead of just exiting.

 -- Brian Murray <brian@ubuntu.com>  Thu, 22 Feb 2018 13:43:35 -0800

ubuntu-release-upgrader (1:18.04.8) bionic; urgency=medium

  * data/DistUpgrade.cfg: Add ubuntu-budgie-desktop support.
  * Run pre-build.sh to update mirrors.cfg and demoted.cfg.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 05 Feb 2018 04:00:06 -0700

ubuntu-release-upgrader (1:18.04.7) bionic; urgency=medium

  [ Julian Andres Klode ]
  * DistUpgradeController.py: Improve wording for the EFI System
    Partition messages as suggested by Steve Langasek in LP 1695666.
  * DistUpgradeFetcherKDE.py: Drop unneeded pyqtSlot, QUrl, breaks
    pyflakes
  * DistUpgradeController.py: Only add a new entry for previously
    unknown mirrors if the new entries distro is a valid release.
    (LP: #1744722)

  [ Po-Hsu Lin ]
  * DistUpgrade/DistUpgradeController.py:
    - use dictionary to simplify the mutiple if check for directories.
    - the use of multiple %s make this string difficult to translate
      for some languages, as the sentence might need to be rearranged.
      Use format() and named-variables to fix this issue.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 29 Jan 2018 14:23:23 +0100

ubuntu-release-upgrader (1:18.04.6) bionic; urgency=medium

  * DistUpgradeFetcherKDE.py:
    - ensure theming is correct across all Qt versions and Plasma versions
    - drop unused openUrl helper (replaced by QUrlOpener)
  * QUrlOpener.py:
    - make sure to pass --set-home to sudo when dropping back to user, prevents
      browsers from getting confused which HOME to use
  * DistUpgradeViewKDE.py:
    - force KDE theming for Qt5
    - fix icon & pixmap lookup by running them throw a compatibility helper
      using either Qt3/4 static lookup or Qt5 theme-based lookup (theme is
      determined by the QPA ideally)
    - let name mangling use os-release' PRETTY_NAME if present
    - do not resize windows, adjustsize() them (same as resize albeit readable)
    - introduce an override for QWidget.adjustSize() which prevents adjustment
      iff the window is maximized. as noted in the documentation adjusting a
      maximized yields unexpected results due to a control mismatch between
      X11 window managers and Qt (in short: Qt cannot unmaximize, so adjustsize
      does nothing useful in this case and in fact causes only part of the
      window to be marked dirty by Qt causing sever rendering artifacts)

 -- Harald Sitter <sitter@kde.org>  Fri, 19 Jan 2018 13:34:32 +0100

ubuntu-release-upgrader (1:18.04.5) bionic; urgency=medium

  * DistUpgrade/DistUpgradeFetcher.py,
    check-new-release-gtk,
    do-release-upgrade:
    - Raise privileges in do-release-upgrade using pkexec when GUI is used
    - Drop gksu usage
    - Use os.execv in check-new-release-gtk instead of os.execl
    - Apply the workaround "xhost +si:localuser:root" under Wayland to let
      upgrades finish (LP: #1732185)
  * Skip Python files from other packages in PEP 8 tests

 -- Balint Reczey <rbalint@ubuntu.com>  Mon, 15 Jan 2018 17:09:44 +0100

ubuntu-release-upgrader (1:18.04.4) bionic; urgency=medium

  * DistUpgradeController.py: Check that /boot/efi is a rw-mounted partition
    if we are upgrading an EFI system with bootloader (LP: #1695666)

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 12 Jan 2018 15:37:01 +0100

ubuntu-release-upgrader (1:18.04.3) bionic; urgency=medium

  * data/release-upgrades: switch prompt from normal to LTS (LP: #1740523)


