=== debian/control ===
--- 
+++ 
@@ -40,7 +40,8 @@
          python3-update-manager (>= 1:0.196.2~),
          python3-apt (>= 0.8.5~),
          gpgv,
-         lsb-release
+         lsb-release,
+         sensible-utils
 Replaces: python3-update-manager (<< 1:0.165)
 Breaks: python3-update-manager (<< 1:0.165)
 Description: manage release upgrades
@@ -68,7 +69,6 @@
 Depends: ${misc:Depends},
          ubuntu-release-upgrader-core (= ${source:Version}),
          python3-pyqt5,
-         kdesudo,
          psmisc
 Recommends: qttranslations5-l10n
 Replaces: update-manager-kde (<< 1:0.165)
