## ubuntu-release-upgrader 18.04.37+9.0trisquel7

=== debian/changelog ===
ubuntu-release-upgrader (1:18.04.37+9.0trisquel7) etiona; urgency=medium

  * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 18 Apr 2020 08:51:54 +0000

ubuntu-release-upgrader (1:18.04.37) etiona; urgency=medium

  * Update mirrors data and apt_btrfs_snapshot for the 18.04.4 point release.

 -- Brian Murray <brian@ubuntu.com>  Fri, 24 Jan 2020 03:47:07 -0800

ubuntu-release-upgrader (1:18.04.36) etiona; urgency=medium

  * do-release-upgrade: add linux-base to the check for required reboot after
    a kernel upgrade (LP: #1844805).

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Thu, 07 Nov 2019 12:22:02 +0100

ubuntu-release-upgrader (1:18.04.35) etiona; urgency=medium

  * do-release-upgrade: also check for linux-image- in reboot-required.pkgs,
    refusing upgrading before a reboot is performed. (LP: #1844805)

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Mon, 04 Nov 2019 17:16:49 +0100

ubuntu-release-upgrader (1:18.04.34) etiona; urgency=medium

  * DistUpgrade/DistUpgradeQuirks.py: only try to install snaps if snapstore
    is reachable. (LP: #1831933)

 -- Dan Streetman <ddstreet@canonical.com>  Wed, 19 Jun 2019 12:49:56 -0400

ubuntu-release-upgrader (1:18.04.33) etiona; urgency=medium

  * DistUpgrade/DistUpgradeViewNonInteractive.py: when responding to a
    conffile prompt with "n" use bytes not a string. (LP: #1796193)
  * debian/control: add an explicit python3-distro-info dependency to
    python3-distupgrade as it is now required by DistUpgradeController.
    (LP: #1824866)
  * pre-build.sh: stop updating demotions for artful since it is no longer
    available at es.archive.trisquel.info and if we do update then demotions becomes
    an empty file which is wrong.

 -- Brian Murray <brian@ubuntu.com>  Wed, 15 May 2019 10:37:15 -0700

ubuntu-release-upgrader (1:18.04.32) etiona; urgency=medium

  * data/DistUpgrade.cfg.flidas: update KernelRemoval sections to kernel
    packages that appear in Trisquel 16.04. (LP: #1828072)

 -- Brian Murray <brian@ubuntu.com>  Tue, 07 May 2019 15:44:49 -0700

ubuntu-release-upgrader (1:18.04.31) etiona; urgency=medium

  * DistUpgradeController.py: Instead of checking every sources.list entry to
    see if they are accessible keep track of the uris and only test once per
    uri thereby preventing situations where entries for the same server are
    enabled and disabled. (LP: #1822886)
  * debian/control: build depend on the new version of update-manager which
    supports checking to see if an https url is downloadable. (LP: #1823410)
  * tests/test_sources.list.py: add a test for https support.

 -- Brian Murray <brian@ubuntu.com>  Tue, 09 Apr 2019 18:05:01 -0700

ubuntu-release-upgrader (1:18.04.30) etiona; urgency=medium

  * data/release-upgrades: Clarify documentation regarding the behavior for
    different Prompt settings. (LP: #1795024)
  * do-release-upgrade: Utilize information regarding what Prompt is set to so
    that a more informative error message can be displayed.
    (LP: #1798618, LP: #1795024)
  * DistUpgrade/DistUpgradeCache.py: When calculating free space needed for
    mount points don't use a negative number as the buffer. (LP: #1786484)
  * fix more typos re RELEASE_UPRADER_ALLOW_THIRD_PARTY
  * DistUpgrade/DistUpgradeController.py: When rewriting sources.list entries
    check to see if the source provides packages for the release to which the
    upgrade is occurring. If it doesn't the entry is disabled thereby
    improving upgrades with PPAs. (LP: #1807043)
  * do-release-upgrade: add a parameter to allow third party mirrors and
    repositories, additionally pass along the environmental variable
    RELEASE_UPGRADER_ALLOW_THIRD_PARTY via pkexec and sudo. (LP: #1807032)
  * DistUpgrade/DistUpgradeCache.py: improve messaging regarding failures to
    calculate the upgrade and suggest using ppa-purge if PPAs are an issue.
  * DistUpgrade/DistUpgradeCache.py: in the event there is a failure to
    calculate the upgrade provide information about the log files in
    /var/log/dist-upgrade. (LP: #1771387)
  * debian/source_ubuntu-release-upgrader.py: Include xorg_fixup.log if it
    exists.
  * DistUpgrade/xorg_fix_proprietary.py: modify how the system is checked to
    see if nvidia is being used, drop fglrx check since it has been
    deprecated. (LP: #1773637)

 -- Brian Murray <brian@ubuntu.com>  Wed, 16 Jan 2019 15:53:58 -0800

ubuntu-release-upgrader (1:18.04.29) etiona; urgency=medium

  * Set icon_name in the dialogs so that there will be an icon in gnome-shell.
    (LP: #1797384)

 -- Brian Murray <brian@ubuntu.com>  Mon, 12 Nov 2018 13:09:05 -0800

ubuntu-release-upgrader (1:18.04.28) etiona; urgency=medium

  * DistUpgrade/DistUpgradeController.py: check all the python symlinks and
    versions instead of the python one. Thanks to juliank for the assistance.
    (LP: #1799839)
  * do-release-upgrade: Do not block release upgrades if the installable
    updates are ones which are not fully phased. (LP: #1799710)

 -- Brian Murray <brian@ubuntu.com>  Thu, 01 Nov 2018 10:17:43 -0700

ubuntu-release-upgrader (1:18.04.27) etiona; urgency=medium

  * do-release-upgrade: do not run the release upgrade if either not all
    updates are installed or a reboot is required due to a libc6 upgrade.
    (LP: #1797209)
  * debian/control: change trisquel-release-upgrader-core to depend on
    ca-certificates (LP: #1796940)
  * Update mirrors data. 

 -- Brian Murray <brian@ubuntu.com>  Fri, 12 Oct 2018 11:27:19 -0700

ubuntu-release-upgrader (1:18.04.26) etiona; urgency=medium

  * DistUpgradeController.py: If the attempt to only upgrade libc6 ends up
    creating an issue with apt's problem resolver try the full upgrade. This
    is what would have happened before the fix for bug 1766890. (LP: #1787649)

 -- Brian Murray <brian@ubuntu.com>  Wed, 05 Sep 2018 08:37:51 -0700

ubuntu-release-upgrader (1:18.04.25) etiona; urgency=medium


