## ubuntu-release-upgrader 18.04.45

=== debian/changelog ===
ubuntu-release-upgrader (1:18.04.45) bionic; urgency=medium

   * tests/test_sources_list.py: switch from precise to focal as precise was
     removed from the archive.
   * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Brian Murray <brian@ubuntu.com>  Fri, 03 Sep 2021 10:16:06 -0700

ubuntu-release-upgrader (1:18.04.44) bionic; urgency=medium

  * DistUpgrade/DistUpgradeQuirks.py: Ensure that when installing snaps both
    gnome-3 and the gtk-common-themes snapped are installed first such that
    they will be tracking the latest/stable/ubuntu-18.04 channel.
    (LP: #1922297)

 -- Brian Murray <brian@ubuntu.com>  Tue, 20 Apr 2021 14:36:27 -0700

ubuntu-release-upgrader (1:18.04.43) bionic; urgency=medium

  * DistUpgrade/DistUpgradeQuirks.py: Backport the latest version of the quirk
    which replaces Debian packages with snaps so that a system upgraded from
    16.04 to 18.04 will have snaps installed. Additionally, this includes
    changes to the quirk which upgrade preseeded snaps to
    latest/stable/ubuntu-$version for their new release. (LP: #1922297)
  * tests/test_quirks.py: update the snap tests for the above changes.
  * Run pre-build.sh.

 -- Brian Murray <brian@ubuntu.com>  Tue, 13 Apr 2021 13:28:20 -0700

ubuntu-release-upgrader (1:18.04.42) bionic; urgency=medium

  * check-new-release, check-new-release-gtk: Do not indicate that a release
    upgrade is available for systems that are running on i386 architecture.
    (LP: #1901725)

 -- Brian Murray <brian@ubuntu.com>  Mon, 30 Nov 2020 11:09:46 -0800

ubuntu-release-upgrader (1:18.04.41) bionic; urgency=medium

  [ Kyle Fazzari ]
  * DistUpgrade/DistUpgradeQuirks.py: Add a check for ROS packages being
    installed and warn that upgrades with them installed are not likely to
    work. (LP: #1611737)

 -- Kyle Fazzari <kyle@canonical.com>  Mon, 26 Oct 2020 10:23:33 -0700

ubuntu-release-upgrader (1:18.04.40) bionic; urgency=medium

  [ Chad Smith ]
  * data/mirrors.cfg: add ubuntu advantage pro PPA url as valid mirror
    (LP: #1893717)
  * DistUpgrade/DistUpgradeController.py: release cache lock during
    runPostInstallScripts (LP: #1897778)

 -- Chad Smith <chad.smith@canonical.com>  Mon, 05 Oct 2020 14:50:15 -0600

ubuntu-release-upgrader (1:18.04.39) bionic; urgency=medium

  * data/mirrors.cfg: add all ubuntu-advantage services as valid mirrors.
    This includes: fips, fips-updates, esm-infra, esm-apps and cc-eal.
    (LP: #1893717)

 -- Brian Murray <brian@ubuntu.com>  Mon, 14 Sep 2020 10:49:41 -0700

ubuntu-release-upgrader (1:18.04.38) bionic; urgency=medium

  * Update mirrors data and apt_btrfs_snapshot for the 18.04.5 point release.

 -- Brian Murray <brian@ubuntu.com>  Thu, 09 Jul 2020 15:58:12 -0700
