## ubuntu-release-upgrader 18.10.11

=== debian/changelog ===
ubuntu-release-upgrader (1:18.10.11) cosmic; urgency=medium

  * do-release-upgrade: do not run the release upgrade if either not all
    updates are installed or a reboot is required due to a libc6 upgrade.
    (LP: #1797209)
  * debian/control: change ubuntu-release-upgrader-core to depend on
    ca-certificates (LP: #1796940)
  * Update of demotions and mirrors data.

 -- Brian Murray <brian@ubuntu.com>  Wed, 10 Oct 2018 14:10:29 -0700

ubuntu-release-upgrader (1:18.10.10) cosmic; urgency=medium

  [ Harald Sitter ]
  * DistUpgradeViewKDE.py:
    - exitMainLoop is now exitMainLoopMidFlight to make it clearer that
      it is run while the app is still running. it's a hack and not
      the actual exit point
    - inhibit kscreenlocker while the UI is up to prevent the lock screen
      from breaking during upgrades and then complain to the user

  [ Brian Murray ]
  * DistUpgradeQuirks.py: add a quirk which checks for an apt architecture
    of i386 and prevents the upgrade as the architecture may be dropped.
  * DistUpgradeController.py: If the attempt to only upgrade libc6 ends up
    creating an issue with apt's problem resolver try the full upgrade. This
    is what would have happened before the fix for bug 1766890. (LP: #1787649)

 -- Brian Murray <brian@ubuntu.com>  Fri, 31 Aug 2018 15:36:32 -0700

ubuntu-release-upgrader (1:18.10.9) cosmic; urgency=medium

  * data/release-upgrades: set Prompt to normal not lts
  * DistUpgradeQuirks.py: if ubuntu-desktop or snapd isn't in the package
    cache don't try and run the quirk for installing or upgrading snaps.
    (LP: #1787668)
  * DistUpgradeQuirks.py: Only refresh installed snaps to the ubuntu-18.10
    channel if they are tracking the ubuntu-18.04 channel. (LP: #1748581)

 -- Brian Murray <brian@ubuntu.com>  Tue, 28 Aug 2018 13:09:55 -0700

ubuntu-release-upgrader (1:18.10.8) cosmic; urgency=medium

  * DistUpgradeController.py: Remove an unnecessary debugging entry when
    calculating the debs to remove.
  * DistUpgradeQuirks.py: Either refresh installed snaps so they use the
    ubuntu-18.10 channel or install snaps that weren'd installed when
    upgrading to Ubuntu 18.04. (LP: #1748581)

 -- Brian Murray <brian@ubuntu.com>  Tue, 14 Aug 2018 16:00:44 -0700

ubuntu-release-upgrader (1:18.10.7) cosmic; urgency=medium

  * Upgrade libc6 before other packages to work around trigger issues
    (LP: #1766890)

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 07 Aug 2018 23:01:50 +0200

ubuntu-release-upgrader (1:18.10.6) cosmic; urgency=medium

  * DistUpgradeQuirks.py:
    - make sure that snapd is installed before trying to use it.
      (LP: #1783589)
    - update the view with information regarding the progress of snaps being
      installed. (LP: #1783593)
    - when checking for connectivity to the snap store use C.UTF-8 for the
      language so error message matching works. (LP: #1783738)
  * DistUpgradeController.py:
    - Remove debs from apt's "Dir::Cache::archives" folder after the upgrade
      has completed successfully.
    - Add a telemetry marker to report the time to process migration from deb
      to snaps.
  * DistUpgrade/DistUpgradeViewGtk3.py: call vte's terminal.feed_child() with
    the correct parameters thereby fixing a crash. (LP: #1780501)

 -- Brian Murray <brian@ubuntu.com>  Wed, 01 Aug 2018 15:06:53 -0700

ubuntu-release-upgrader (1:18.10.5) cosmic; urgency=medium

  * DistUpgradeQuirks.py: when a snap fails to install try the next one
    instead of trying to check the return code of the called process which
    causes a Traceback. (LP: #1781412)

 -- Brian Murray <brian@ubuntu.com>  Thu, 12 Jul 2018 13:07:14 -0700

ubuntu-release-upgrader (1:18.10.4) cosmic; urgency=medium

  * DistUpgradeQuirks.py, DistUpgradeController.py: move inhibiting of
    gnome-session idle so that it is called immediately after the upgrade
    starts (LP: #1778817), present a dialog notifying that the lock screen has
    been disabled (LP: #1174093), and do not reenable the lock screen as it
    may fail to work after a release upgrade. (LP: #1780342)
  * DistUpgradeQuirks.py: Add in a quirk for upgrading to Cosmic that will
    check if the system has connectivity to the snap store and replace some
    desktop packages with snaps to ensure the system is similar to a fresh
    install.

 -- Brian Murray <brian@ubuntu.com>  Fri, 06 Jul 2018 11:21:11 -0700

ubuntu-release-upgrader (1:18.10.3) cosmic; urgency=medium

  [ Dimitri John Ledkov ]
  * Purge obsolete packages, if user agrees to remove obsolete
    packages. LP: #1749199
  * Make dist-upgrade.py work when PWD != datadir, by fixing the logic for
    finding and loading .release config files with datadir prepended
    first.

  [ Brian Murray ]
  * DistUpgrade/DistUpgradeCache.py: clarify why a package is not removed.

 -- Brian Murray <brian@ubuntu.com>  Wed, 27 Jun 2018 16:34:25 -0700

ubuntu-release-upgrader (1:18.10.2) cosmic; urgency=medium

  * Add upgrade telemetry information (LP: #1755456)
  * Updated translations

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 29 May 2018 15:15:45 +0200

ubuntu-release-upgrader (1:18.10.1) cosmic; urgency=medium

  * DistUpgrade/{EOL,Devel}ReleaseAnnouncement,
    DistUpgrade/window_main.ui,
    data/gtkbuilder/DistUpgrade.ui,
    data/DistUpgrade.cfg,
    pre-build.sh:
    - updated for 18.04 -> 18.10

 -- Brian Murray <brian@ubuntu.com>  Tue, 08 May 2018 11:13:45 -0700
