=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                python3-apt (>= 0.8.5~),
                lsb-release,
                ubuntu-drivers-common (>= 1:0.2.55) [i386 amd64], 
-               python3-update-manager (>= 1:18.04.11.10),
+               python3-update-manager,
                apt-clone (>= 0.2.3~ubuntu2)
 Build-Depends-Indep: libxml-parser-perl, 
                      intltool
@@ -38,9 +38,8 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${python3:Depends},
          ${misc:Depends},
-         python3-update-manager (>= 1:18.04.11.9~),
+         python3-update-manager (>= 1:0.196.2~),
          python3-apt (>= 0.8.5~),
-         python3-distro-info,
          gpgv,
          lsb-release,
          sensible-utils
