## ubuntu-release-upgrader 18.10.11.9

=== debian/changelog ===
ubuntu-release-upgrader (1:18.10.11.9) cosmic; urgency=medium

  * DistUpgrade/DistUpgradeQuirks.py: only try to install snaps if snapstore
    is reachable. (LP: #1831933)

 -- Dan Streetman <ddstreet@canonical.com>  Wed, 19 Jun 2019 12:49:56 -0400

ubuntu-release-upgrader (1:18.10.11.8) cosmic; urgency=medium

  * DistUpgrade/DistUpgradeViewNonInteractive.py: when responding to a
    conffile prompt with "n" use bytes not a string. (LP: #1796193)

 -- Brian Murray <brian@ubuntu.com>  Fri, 10 May 2019 16:14:50 -0700

ubuntu-release-upgrader (1:18.10.11.7) cosmic; urgency=medium

  * data/DistUpgrade.cfg: update KernelRemoval sections to kernel packages
    that appear in Ubuntu 18.04. (LP: #1828072)

 -- Brian Murray <brian@ubuntu.com>  Tue, 07 May 2019 13:48:48 -0700

ubuntu-release-upgrader (1:18.10.11.6) cosmic; urgency=medium

  * DistUpgradeController.py: Instead of checking every sources.list entry to
    see if they are accessible keep track of the uris and only test once per
    uri thereby preventing situations where entries for the same server are
    enabled and disabled. (LP: #1822886)
  * debian/control: build depend on the new version of update-manager which
    supports checking to see if an https url is downloadable. (LP: #1823410)
  * tests/test_sources.list.py: add a test for https support.

 -- Brian Murray <brian@ubuntu.com>  Tue, 09 Apr 2019 17:10:21 -0700

ubuntu-release-upgrader (1:18.10.11.5) cosmic; urgency=medium

  * Remove lubuntu-core from the list of metapackages, fixing some upgrades
    from Lubuntu 18.04 to 18.10 (LP: #1799855).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 01 Feb 2019 18:52:07 -0600

ubuntu-release-upgrader (1:18.10.11.4) cosmic; urgency=medium

  [ Brian Murray ]
  * data/release-upgrades: Clarify documentation regarding the behavior for
    different Prompt settings. (LP: #1795024)
  * do-release-upgrade: Utilize information regarding what Prompt is set to so
    that a more informative error message can be displayed.
    (LP: #1798618, LP: #1795024)

  [ Andrea Azzarone ]
  * DistUpgrade/DistUpgradeView.py,
    DistUpgrade/DistUpgradeViewGtk3.py,
    DistUpgrade/DistUpgradeViewKDE.py,
    DistUpgrade/DistUpgradeViewNonInteractive.py,
    DistUpgrade/DistUpgradeViewText.py:
    - add askCancelContinueQuestion for all the supported views.
  * DistUpgrade/DistUpgradeController.py: Ask for confirmation if Livepatch
    is turned on, and you are upgrading to a version where Livepatch is not
    available. (LP: #1799310)
  * debian/control: add an explicit python3-distro-info dependency to
    python3-distupgrade as it is now required by DistUpgradeController.

 -- Brian Murray <brian@ubuntu.com>  Mon, 21 Jan 2019 11:48:53 -0800

ubuntu-release-upgrader (1:18.10.11.3) cosmic; urgency=medium

  * DistUpgrade/DistUpgradeCache.py: When calculating free space needed for
    mount points don't use a negative number as the buffer. (LP: #1786484)
  * fix more typos re RELEASE_UPRADER_ALLOW_THIRD_PARTY.
  * DistUpgrade/DistUpgradeController.py: When rewriting sources.list entries
    check to see if the source provides packages for the release to which the
    upgrade is occurring. If it doesn't the entry is disabled thereby
    improving upgrades with PPAs. (LP: #1807043)
  * do-release-upgrade: add a parameter to allow third party mirrors and
    repositories, additionally pass along the environmental variable
    RELEASE_UPGRADER_ALLOW_THIRD_PARTY via pkexec and sudo. (LP: #1807032)
  * DistUpgrade/DistUpgradeCache.py: improve messaging regarding failures to
    calculate the upgrade and suggest using ppa-purge if PPAs are an issue.
  * DistUpgrade/DistUpgradeCache.py: in the event there is a failure to
    calculate the upgrade provide information about the log files in
    /var/log/dist-upgrade. (LP: #1771387)
  * debian/source_ubuntu-release-upgrader.py: Include xorg_fixup.log if it
    exists.
  * DistUpgrade/xorg_fix_proprietary.py: modify how the system is checked to
    see if nvidia is being used, drop fglrx check since it has been
    deprecated. (LP: #1773637)

 -- Brian Murray <brian@ubuntu.com>  Thu, 20 Dec 2018 12:31:37 -0800

ubuntu-release-upgrader (1:18.10.11.2) cosmic; urgency=medium

  * Set icon_name in the dialogs so that there will be an icon in gnome-shell.
    (LP: #1797384)

 -- Brian Murray <brian@ubuntu.com>  Mon, 12 Nov 2018 13:04:53 -0800

ubuntu-release-upgrader (1:18.10.11.1) cosmic; urgency=medium

  * DistUpgrade/DistUpgradeController.py: check all the python symlinks and
    versions instead of the python one. Thanks to juliank for the assistance.
    (LP: #1799839)
  * do-release-upgrade: Do not block release upgrades if the installable
    updates are ones which are not fully phased. (LP: #1799710)

 -- Brian Murray <brian@ubuntu.com>  Wed, 31 Oct 2018 16:15:17 -0700
